---
title: "Creation of Solid Scribe"
description: "How I created, encrypted note taking application, solid scribe."
icon: "/solidscribe.png"
date: "2023-10-1"
---

Solid Scribe is an end-to-end encrypted note taking application I created for personal convenience and privacy.

### Application overview

Solid Scribe is an encrypted note taking application that respects users privacy.

### Why it was created

I created solid scribe because I was tired of all my data being scraped and put into a giant marketing profile. Daily notes contain a lot of private information, giving all that data to google or facebook made me uncomfortable.

### How it works

Solid Scribe is end to end encrypted with note text completely encrypted using a private key. Any time a note is created a new encrypted database entry is created. Note text can not be read without the correct decryption key.

### Tech Stack

Solid Scribe is hosted on linode, using nginx and express router.
The backend is fully Node.js without an ORM and minimal frameworks.
Frontend Vue.js using Vue-CLI, Socket.io and Semanic UI for the styles.

### Current Major Features

-   User accounts/login - Two Factor Authentication
-   Revoking active sessions from other browsers
-   Color themes and Dark mode
-   Note tags, tag searching
-   Note Searching, using Encrypted search index
-   Encrypted Notes with text editing, formatting, color themes
-   Todo lists with sorting and removing completed tasks
-   Link scraping from notes, with image capture and search
-   Inserting of link metadata into note
-   Secure sharing of notes with other users using public-key encryption
-   Synchronous note editing across open note instances
-   Pushing links from web to your account using a bookmarklet

### Source Code

https://git.maxg.cc/max/SolidScribe
